WORDVECTORS(1)

NAME
wordVectors.pl - write word vectors from WordNet glosses to a file.

SYNOPSIS
wordVectors.pl [[--compfile COMPOUNDS] [--stopfile STOPLIST]
  [--wnpath WNPATH] [--noexamples] [--cutoff VALUE] [--rhigh RHIGH]
  [--rlow RLOW] [--chigh CHIGH] [--clow CLOW] DBFILE
 | --help | --version]

DESCRIPTION
This program writes out word vectors computed from WordNet glosses in a database file specified by filename DBFILE. The database file is intended for use by the WordNet::Similarity::vector Perl module, but if you can think of something else to do with it, then go ahead.

OPTIONS
--compfile=file

    Option specifying the the list of compounds present
    in WordNet in the file COMPOUNDS. This list is used
    for compound detection.

--stopfile=file

    Option specifying a list of stopwords to not be
    considered while counting.

--wnpath=path

    Specifies the path to the WordNet data files.
    Ordinarily, this path is determined from the $WNHOME
    environment variable. But this option overides this
    behavior.

--noexamples

    Removes examples from the glosses before processing.

--cutoff=number

    Option used to restrict the dimensions of the word
    vectors with an tf/idf cutoff. VALUE is the cutoff
    above which is an acceptable tf/idf value of a word.

--rhigh=number

    the upper frequency cutoff of the words
    selected to have a word-vector entry in the database.

--rlow=number

    the lower frequency cutoff of the words
    selected to have a word-vector entry in the database.

--chigh=number

    the upper frequency cutoff of words that form
    the dimensions of the word-vectors.

--clow=number

    the lower frequency cutoff of words that form
    the dimensions of the word-vectors.

--help

    Displays a detailed usage message

--version

    Displays version information.